
Ryzom - Bug # 1461

Status: Closed Priority: Low
Author: kaetemi Category: NeL: Sound
Created: 04/12/2012 Assignee: kaetemi
Updated: 04/13/2012 Due date:
Subject: Particle sources spawning sound sources at excessive rates
Description

Several particle sources spawn their sound sources at an excessive rate, causing identical samples to interfere with each other. This
can be noticed when swimming ingame. This bug appeared a long time ago. Figure out what is causing this to happen.

History
#1 - 04/13/2012 12:07 am - kaetemi

Seems to be a bug somewhere in CComplexSource.

#2 - 04/13/2012 12:31 am - kaetemi

Or maybe in CGroundFxManager.

#3 - 04/13/2012 03:15 am - kaetemi

One of the things causing this also seems to be leaking sources somehow, causing glitchy excessive environment sounds in certain locations.

#4 - 04/13/2012 03:52 am - kaetemi

Revision 3dec4bcea581 solves the bug where the swimming effect particle source was excessively spawned which caused glitchy sound as a
side-effect. It fixes the excessive number of "Setting last event for sound swim_speed_0 in 1861 millisec" style messages that appear in the debug log
while swimming.

#5 - 04/13/2012 11:15 pm - kaetemi
- Description updated
- Status changed from Assigned to Closed
- Target version set to Version 0.9.0
- % Done changed from 0 to 100

Cannot find any more glitches that cause excessive sound source spawning, so closing this.

#6 - 04/13/2012 11:35 pm - kaetemi

Note: The swimming particle code spawned new sources whenever it switched between types, and was forced to create new particle systems instead
of rese existing ones because the previous running one had not finished playing yet, causing them to build up in large quantities.
